<template>
  <div class="col-sm-offset-2 col-sm-4 panel panel-default">
  <div class="panel-body">
  <form class="form-horizontal">
    <div class="form-group">
        <input type="text" class="form-control" 
                           id="login" placeholder="Login"
                           v-model="user.username">
    </div>
    <div class="form-group">
        <input type="password" class="form-control" 
                               id="password" placeholder="Password"
                               v-model="user.password">
    </div>
    <div class="form-group">
      <div class="col-sm-offset-9 col-sm-3">
        <button @click.prevent="doLogin" type="submit" class="btn btn-default">Sign in</button>
      </div>
    </div>
  </form>
  </div>
  </div>
</template>

<script>
export default {
  name: 'Login',
  data () {
    return {
      user: {
        username: '',
        password: ''
      },
      token: ''
    }
  },
  methods: {
    doLogin () {
      this.$http.post('user/token', this.user)
        .then(response => {
          this.setToken(response.body.token)
          this.$router.push({ name: 'blog' })
        }, () => {
          let type = 'danger'
          let message = 'wrong username or password'
          this.$store.commit('addAlert', {type, message})
        })
    },
    setToken (token) {
      this.$store.commit('setToken', token)
    }
  }
}
</script>

<style scoped>
</style>
